spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
spot::satsolver_command Class Reference

Interface with a given sat solver. More...

`#include <spot/misc/satsolver.hh>`

Inheritance diagram for spot::satsolver_command:
Collaboration diagram for spot::satsolver_command:

## Public Member Functions
bool | command_given ()
| Return true if a satsolver is given, false otherwise. More...
int | run (printable *in, printable *out)
| Run the given satsolver. More...

## Private Member Functions
bool | has (char c) const
| Whether c occurred in the primed formats. More...
void | declare (char c, const printable *f)
| Declare a callback function for c. More...
void | set_output (std::ostream &output)
| Remember where to output any string. More...
std::ostream & | format (const char *fmt)
| Expand the %-sequences in fmt, write the result on output_. More...
std::ostream & | format (std::ostream &output, const char *fmt)
| Expand the %-sequences in fmt, write the result on output. More...
std::ostream & | format (const std::string &fmt)
| Expand the %-sequences in fmt, write the result on output_. More...
std::ostream & | format (std::ostream &output, const std::string &fmt)
| Expand the %-sequences in fmt, write the result on output. More...
void | scan (const char *fmt, std::vector< bool > &has) const
| Scan the %-sequences occuring in fmt. More...
void | scan (const std::string &fmt, std::vector< bool > &has) const
| Scan the %-sequences occuring in fmt. More...
void | prime (const char *fmt)
void | prime (const std::string &fmt)

## Private Attributes
std::ostream * | output_

## Detailed Description

Interface with a given sat solver.

When created, it checks if SPOT_SATSOLVER env var is set. If so, its value is parsed and saved internally. The env variable musb be set like this: "<satsolver> [its_options] %I > %O" where I and O are replaced by input and output files.

The run method permits of course to run the given sat solver.

## Member Function Documentation

bool spot::satsolver_command::command_given | ( |  | ) |

Return true if a satsolver is given, false otherwise.

int spot::satsolver_command::run | ( | printable * | in,
|  | printable * | out
| ) |  |

Run the given satsolver.

The documentation for this class was generated from the following file:

- spot/misc/satsolver.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.